Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchAddressCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchAddressCondition

All Implemented Interfaces:
  `java.io.Serializable`

    public class DispatchAddressCondition
    extends DispatchCondition

Условие отправки по адресу подписчика. Предполагается, что адрес подписчика хранится в параметре договора типа адрес.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchAddressCondition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `deserializePart​(org.w3c.dom.Element element)` |
  `int` | `getAddressPid()` |
  `int` | `getCityId()` |
  `int` | `getCountryId()` |
  `int` | `getHouseId()` |
  `int` | `getStreetId()` |
  `protected void` | `serializePart​(org.w3c.dom.Element element)` |
  `void` | `setAddressPid​(int addressPid)` |
  `void` | `setCityId​(int cityId)` |
  `void` | `setCountryId​(int countryId)` |
  `void` | `setHouseId​(int houseId)` |
  `void` | `setStreetId​(int streetId)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchAddressCondition

    public DispatchAddressCondition()

- ## Method Details

  - ### getAddressPid

    public int getAddressPid()

  - ### setAddressPid

    public void setAddressPid​(int addressPid)

  - ### getCountryId

    public int getCountryId()

  - ### setCountryId

    public void setCountryId​(int countryId)

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId​(int cityId)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId​(int streetId)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId​(int houseId)

  - ### serializePart

    protected void serializePart​(org.w3c.dom.Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart​(org.w3c.dom.Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`